# PyTest ile Testlerinizi Yönetin: Bağımlılıklar ve Sıralama

![1467445.png](https://i.imgur.com/O3O8Jtx.png)

## 🔗 Bağımlılık Oluşturma

```python
pip install pytest-dependency
```

```python
class TestClass:
	@mark.dependency(name="test_init")
  async def test_init(self):
      ...

	@mark.dependency(depends=["test_init"])
  async def test_cancel_order_error(self):
      ...
```

* `name` ile teslerin adını tanımlarız
* `depends` alanındaki `name` ile tanımladığımız testler çalışmadan çalışmaz, atlanır
* Sırası çalıştırmak için `pytest-order` eklentisini kurmanız gerekir

## 🔢 Sıralamak

```python
pip install pytest-order
```

```python
import pytest

@pytest.mark.order(1)
def test_a():
    assert True

@pytest.mark.order(2)
def test_b():
    assert True

@pytest.mark.order(3)
def test_c():
    assert True
```

* Sırasıyla `1`, `2` ve `3`. testler çalışır


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yemreak.com/arsiv/programming/pytest-ile-testlerinizi-yonetin-bagimliliklar-ve-siralama.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
